> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bastion.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Identity

> Get an identity belonging to your organization



## OpenAPI

````yaml /v2/openapi.yaml get /v2/identities/{id}
openapi: 3.1.0
info:
  title: Bastion APIs
  version: '2.0'
servers:
  - url: https://api.prod.bastion.com
    description: Production environment
  - url: https://api.sandbox.bastion.io
    description: Sandbox environment
security:
  - auth: []
tags:
  - name: Bastion APIs
paths:
  /v2/identities/{id}:
    get:
      tags:
        - Identities
      summary: Get Identity
      description: Get an identity belonging to your organization
      operationId: bastion.api.v2.API.GetIdentity
      parameters:
        - name: id
          in: path
          description: Unique identifier of an identity
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bastion.api.v2.Identity'
        '400':
          description: Bad request
        '401':
          description: Unauthorized Request
        '404':
          description: Resource not found
        '500':
          description: Internal Server Error
components:
  schemas:
    bastion.api.v2.Identity:
      type: object
      allOf:
        - properties:
            id:
              type: string
              title: id
              description: Unique identifier of an identity, assigned by Bastion
              readOnly: true
            identity_type:
              $ref: '#/components/schemas/bastion.common.IdentityType'
              title: identity_type
              description: 'Deprecated: use "type" instead'
              deprecated: true
            account_ids:
              type: array
              items:
                type: string
                readOnly: true
              title: account_ids
              description: Account ids associated with the identity
              readOnly: true
            label:
              type: string
              title: label
              description: Customer-defined identifier for the identity
              readOnly: true
            fiat_operations_enabled:
              type: boolean
              title: fiat_operations_enabled
              description: >-
                True if the identity is cleared to perform fiat operations, such
                as conversions between stablecoins and fiat
              readOnly: true
            status:
              $ref: '#/components/schemas/bastion.api.IdentityStatus'
              title: status
              description: The identity's status
              readOnly: true
            sub_status:
              $ref: '#/components/schemas/bastion.api.IdentitySubStatus'
              title: sub_status
              description: The identity's sub-status
              readOnly: true
            type:
              $ref: '#/components/schemas/bastion.common.IdentityType'
              title: type
              description: Identity type
        - oneOf:
            - type: object
              properties:
                kyb_status:
                  $ref: '#/components/schemas/bastion.api.KYBStatus'
                  title: kyb_status
                  description: |-
                    Status of KYB for the given identity
                     Soon to be deprecated. Will be replaced with the top level status and sub_status fields.
                  readOnly: true
              title: kyb_status
              required:
                - kyb_status
            - type: object
              properties:
                kyc_status:
                  $ref: '#/components/schemas/bastion.api.KYCStatus'
                  title: kyc_status
                  description: |-
                    Status of KYC for the given identity
                     Soon to be deprecated. Will be replaced with the top level status and sub_status fields.
                  readOnly: true
              title: kyc_status
              required:
                - kyc_status
      additionalProperties: false
    bastion.common.IdentityType:
      type: string
      title: IdentityType
      enum:
        - IDENTITY_TYPE_UNSPECIFIED
        - INDIVIDUAL
        - BUSINESS
      description: >-
        Identity type


        <Info>

        Please note that BUSINESS accounts are only supported in the US at this
        time.

        </Info>
      example: INDIVIDUAL
    bastion.api.IdentityStatus:
      type: string
      title: IdentityStatus
      enum:
        - IDENTITY_STATUS_UNSPECIFIED
        - PENDING_ONBOARDING
        - ACTIVE
        - SUSPENDED
        - REJECTED
        - TERMINATED
      description: Top-level identity lifecycle status.
      example: PENDING_ONBOARDING
    bastion.api.IdentitySubStatus:
      type: string
      title: IdentitySubStatus
      enum:
        - IDENTITY_SUB_STATUS_UNSPECIFIED
        - CREATED
        - COMPLIANCE_CHECKS_IN_PROGRESS
        - IDV_REQUIRED
        - IDV_REQUESTED
        - IDV_IN_PROGRESS
        - IDV_EXPIRED
        - RFI_REQUIRED
      description: >-
        Sub-status within PENDING_ONBOARDING tracking onboarding workflow
        progress.
         Only meaningful when IdentityStatus is PENDING_ONBOARDING.
      example: CREATED
    bastion.api.KYBStatus:
      type: object
      properties:
        kyb_passed:
          type: boolean
          title: kyb_passed
          description: Flag indicating if the KYB check passed
        kyb_failure_reason:
          type:
            - string
            - 'null'
          title: kyb_failure_reason
          description: Reason for KYB check failure
        jurisdiction_check_passed:
          type: boolean
          title: jurisdiction_check_passed
          description: Flag indicating if the jurisdiction check passed
        jurisdiction_check_failure_reason:
          type:
            - string
            - 'null'
          title: jurisdiction_check_failure_reason
          description: Reason for jurisdiction check failure
        allowed_to_transact_fungibles:
          type: boolean
          title: allowed_to_transact_fungibles
          description: >-
            Flag indicating if the business is allowed to transact fungible
            assets
      title: KYBStatus
      additionalProperties: false
    bastion.api.KYCStatus:
      type: object
      properties:
        kyc_passed:
          type: boolean
          title: kyc_passed
          description: Flag indicating if the KYC check passed
        kyc_failure_reason:
          type:
            - string
            - 'null'
          title: kyc_failure_reason
          description: Reason for KYC check failure
        jurisdiction_check_passed:
          type: boolean
          title: jurisdiction_check_passed
          description: Flag indicating if the jurisdiction check passed
        jurisdiction_check_failure_reason:
          type:
            - string
            - 'null'
          title: jurisdiction_check_failure_reason
          description: Reason for jurisdiction check failure
        allowed_to_transact_fungibles:
          type: boolean
          title: allowed_to_transact_fungibles
          description: Flag indicating if the user is allowed to transact fungible assets
      title: KYCStatus
      additionalProperties: false
  securitySchemes:
    auth:
      type: http
      description: Bearer authentication with an API token
      scheme: bearer

````

## Related topics

- [Get Identity Verification Check](/v2/api-reference/identity-verification/get-identity-verification-check.md)
- [Identity verification API overview](/v2/api-reference/identity-verification/overview.md)
- [Onboard an individual customer](/guides/quickstarts/onboard-an-individual-customer.md)
- [Accounts API overview](/v2/api-reference/accounts/overview.md)
- [Compliance API overview](/v2/api-reference/compliance/overview.md)
